vgp.surface.common

## Class PgSurface_BreatherPQ

- java.lang.Object
- - jv.object.PsObject
  - - jvx.surface.PgDomainDescr
    - - vgp.surface.common.PgSurfaceDescr
      - - vgp.surface.common.PgSurface_BreatherPQ

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PgSurface_BreatherPQ
      extends PgSurfaceDescr

  Breather surface family with two int parameters.

  Parametrized surface given by method, or interactively, by function expressions. If the functions of a surface are specified in `calc_f` method and, later, interactively edited, then the interactive expressions are further used. This is important for evaluation of higher order differentials since they are only approximated using finite differences in the later case.

  See Also:
    `PgSurfaceDescr`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    20.12.08, 1.00 revised (kp)
    20.12.08, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from class vgp.surface.common.PgSurfaceDescr

      `BASE_SURFACE_NAME, BOY, BREATHER, BREATHER_PQ, CATALAN, CATENOID_HELICOID, CATENOID_HELICOID_SCENE, CLIFFORD_TORUS, CONE, CONIC_TYPE, CYLINDER, DINI, DUPIN_CYCLOID, DUPIN_SCENE, ELLIPSOID, ELLIPTIC_PARABOLOID, ENNEPER, FOOTBALL_BARREL, FRESNEL1, FRESNEL2, H3_HYPERBOLIC_HELICOID, HENNEBERG, HYPERBOLIC_PARABLOID, HYPERBOLOID_SCENE, HYPERBOLOID_TYPE, KLEINBOTTLE, KUEN, LOWER_HYPERBOLOID, MOEBIUS_STRIP, OUTER_HYPERBOLOID, PSEUDOSPHERE, S3_HOPFTORUS, S3_LAWSON_HELICOID, SIEVERT, SPHERE, STEREOGRAPHIC_SPHERE, TANNERY, TORUS, UPPER_HYPERBOLOID, ZOLL`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgSurface_BreatherPQ()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()` Initialize and reset data structure and all instance variables.
    `boolean` | `update(java.lang.Object event)` Catch events from function strings.

    - ### Methods inherited from class vgp.surface.common.PgSurfaceDescr

      `addParameter, calc_f, christoffel, clone, copy, ddf_dUdU, ddf_dUdV, ddf_dVdV, df_dU, df_dV, df, dN_dU, dN_dV, dN, eval, firstFundamental, getAmbientProjection, getAmbientSpace, getDimOfSurface, getFunction, getListOfScenes, getListOfSurfaces, getParameter, getParameters, isUPeriodic, isVPeriodic, normal, secondFundamental, setAmbientProjection, setAmbientSpace, setDimOfSurface, setFunction, useFunctionExpression, useFunctionExpression, weingarten`

    - ### Methods inherited from class jvx.surface.PgDomainDescr

      `eval, getNameOfLines, getNumULines, getNumVLines, getUMax, getUMin, getVMax, getVMin, isShowingULine, isShowingVLine, setDiscr, setDiscrBounds, setMaxSize, setNameOfLines, setNumULines, setNumVLines, setSize, setUMax, setUMin, setVMax, setVMin, showULine, showVLine, toString`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PgSurface_BreatherPQ

          public PgSurface_BreatherPQ()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PgDomainDescr`
      Initialize and reset data structure and all instance variables.
      Overrides:
        `init` in class `PgSurfaceDescr`

    - #### update

          public boolean update(java.lang.Object event)

      Description copied from class: `PgSurfaceDescr`
      Catch events from function strings. Update the class whenever a child has changed. Method is usually invoked from the children.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PgSurfaceDescr`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

"

The software JavaView? is copyright protected. All Rights Reserved.
"